<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.UserFeedbackErrorMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.UserFeedbackError">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="user_id" jdbcType="INTEGER" property="userId" />
    <result column="module" jdbcType="VARCHAR" property="module" />
    <result column="module_id" jdbcType="INTEGER" property="moduleId" />
    <result column="manager_id" jdbcType="INTEGER" property="managerId" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="position" jdbcType="VARCHAR" property="position" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="status" jdbcType="INTEGER" property="status" />
    <result column="handle_time" jdbcType="TIMESTAMP" property="handleTime" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.qxgmat.data.dao.entity.UserFeedbackError">
    <!--
      WARNING - @mbg.generated
    -->
    <result column="origin_content" jdbcType="LONGVARCHAR" property="originContent" />
    <result column="content" jdbcType="LONGVARCHAR" property="content" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `user_id`, `module`, `module_id`, `manager_id`, `title`, `position`, `create_time`, 
    `status`, `handle_time`
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `origin_content`, `content`
  </sql>
</mapper>